Bug 81899 - [Qt] New fast/text/international/bdi-dir-default-to-auto.html fails
Summary: [Qt] New fast/text/international/bdi-dir-default-to-auto.html fails
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Bruno Abinader (history only)
URL:
Keywords: Qt, QtTriaged
Depends on: 85203 92119
Blocks: 87008
  Show dependency treegraph
 
Reported: 2012-03-22 05:41 PDT by Ádám Kallai
Modified: 2012-07-24 08:14 PDT (History)
6 users (show)

See Also:


Attachments
Unskip layout test patch (2.09 KB, patch)
2012-07-24 06:33 PDT, Bruno Abinader (history only)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ádám Kallai 2012-03-22 05:41:12 PDT
This test added in r111632. http://trac.webkit.org/changeset/111632
Probably it fails because the fonts are different on Qt.

Diff: http://build.webkit.org/results/Qt%20Linux%20Release/r111669%20(44793)/fast/text/international/bdi-dir-default-to-auto-diffs.html

I will skip this until, it is fixed.
Comment 1 Ádám Kallai 2012-03-22 06:44:25 PDT
I skipped this test.

http://trac.webkit.org/changeset/111683
Comment 2 Ryosuke Niwa 2012-03-22 09:04:38 PDT
Oops :( I think you guys are not handling Hebrew characters properly.
Comment 3 Bruno Abinader (history only) 2012-06-18 07:00:03 PDT
Caio's patch for bug 85203 fixes the issue (tested with patch applied on top of r120589). Let's hope the rebaseline of font-related layout tests gets done soon :)

(In reply to comment #2)
> Oops :( I think you guys are not handling Hebrew characters properly.
Comment 4 Bruno Abinader (history only) 2012-07-24 06:33:37 PDT
Created attachment 154043 [details]
Unskip layout test patch

This patch unskips the fast/text/international/bdi-dir-default-to-auto.html layout test after monospace fix from r121971.
Comment 5 WebKit Review Bot 2012-07-24 07:17:35 PDT
Comment on attachment 154043 [details]
Unskip layout test patch

Clearing flags on attachment: 154043

Committed r123473: <http://trac.webkit.org/changeset/123473>
Comment 6 WebKit Review Bot 2012-07-24 07:17:41 PDT
All reviewed patches have been landed.  Closing bug.